> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Group Disconnection Request

> Reject a group disconnection request



## OpenAPI

````yaml PUT /api/v1/group_disconnection_requests/{group_disconnection_request_id}/reject
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/group_disconnection_requests/{group_disconnection_request_id}/reject:
    put:
      tags:
        - Group Disconnections
      summary: Reject Group Disconnection
      description: Reject Group Disconnection
      operationId: rejectGroupDisconnectionRequest
      parameters:
        - description: >-
            The unique identifier of the group disconnection request you want to
            reject
          in: path
          name: group_disconnection_request_id
          required: true
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                carrier_id: 5200a894-81c5-4c41-8519-86c32e9a9965
                completed: null
                created: 1557329939
                decided: 1557329939
                group_id: f833ac4b-36aa-46f4-826c-0badcfe27922
                group_name: Widgets R Us
                id: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
                modified: 1557329939
                organization_id: ca72d1e1-56a6-46ac-b400-a91e1f6b893a
                source_type: carrier
                status: rejected
                version: 5200a894-81c5-4c41-8519-86c32e9a9965
              schema:
                $ref: '#/components/schemas/GroupDisconnectionRequestResult'
          description: Successful Response - Returns the rejected GroupDisconnectionRequest
components:
  schemas:
    GroupDisconnectionRequestResult:
      properties:
        carrier_id:
          description: Unique identifier for the carrier to be disconnected from
          format: uuid
          readOnly: true
          type: string
        completed:
          description: Timestamp at which the disconnection was completed
          readOnly: true
          type: integer
        created:
          description: The date the record was created
          type: integer
        decided:
          description: >-
            Timestamp at which the platform recorded a decision on the
            disconnection
          readOnly: true
          type: integer
        effective_end_date:
          description: The date at which the disconnection will take effect
          format: date
          readOnly: true
          type: string
        group_id:
          description: >-
            Unique identifier for the group to be disconnected. May be missing
            if group has already been disconnected.
          format: uuid
          readOnly: true
          type: string
        group_name:
          description: Name of the group to be disconnected from
          readOnly: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        organization_id:
          description: Unique identifier for organization associated with the request
          format: uuid
          readOnly: true
          type: string
        source_date:
          description: The date associated with the source of the disconnection
          format: date
          readOnly: true
          type: string
        source_id:
          description: >-
            If applicable, the ID associated with the source of the
            disconnection request
          format: uuid
          readOnly: true
          type: string
        source_type:
          description: The source of the disconnection request
          readOnly: true
          type: string
        status:
          description: The status of the disconnection request
          readOnly: true
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - carrier_id
        - created
        - group_name
        - id
        - modified
        - organization_id
        - source_id
        - source_type
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - organization_id
        - carrier_id
        - group_id
        - group_name
        - source_id
        - source_type
        - source_date
        - status
        - effective_end_date
        - completed
        - decided

````